classification
Title: functions replaced by subprocess should point to its docs
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: astrand Nosy List: astrand, facundobatista, jlgijsbers
Priority: normal Keywords:

Created on 2004-12-12 16:06 by jlgijsbers, last changed 2008-06-21 19:50 by facundobatista. This issue is now closed.

Messages (3)
msg23671 - (view) Author: Johannes Gijsbers (jlgijsbers) * (Python triager) Date: 2004-12-12 16:06
We should either move or copy the "Replacing Older
Functions with the subprocess Module" section to the
documentation of the functions that are replaced by
subprocess.

See
http://mail.python.org/pipermail/python-dev/2004-December/050266.html,
for non-subprocess specific rationale.
msg23672 - (view) Author: Peter ├ůstrand (astrand) * (Python committer) Date: 2005-03-03 21:28
Logged In: YES 
user_id=344921

If anyone else wants to work on this bug, that's fine with
me. Currenly, I'm not in "documentation mood". 
msg68537 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-21 19:50
The best is to leave that section where it is, because it'll remain
there in the Py3 docs, but to point to this section from the other places.

So, in the deprecated functions I added an alert to review specially a
section of the subprocess documentation that helps with the replacing of
those functions.
History
Date User Action Args
2008-06-21 19:50:27facundobatistasetstatus: open -> closed
resolution: fixed
messages: + msg68537
nosy: + facundobatista
2004-12-12 16:06:05jlgijsberscreate